textures/base_light/light5_5k
{
	qer_editorimage textures/q3f_chrofort/chrolite2.tga
	//light 1
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 5000
	{
		map textures/q3f_chrofort/chrolite2.tga
		rgbGen identity
	}
	
//	{
//		map textures/base_light/light5.blend.tga
//		blendFunc GL_ONE GL_ONE
//	}
}
textures/base_light/patch10_pj_lite
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	light 1
	qer_editorimage textures/q3f_chrofort/chrolite1.tga
	{
	        map $lightmap
		rgbGen identity
	}
	{
		map textures/q3f_chrofort/chrolite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3f_chrofort/chrolite1.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/q3f_chrofort/quadskin
{
		surfaceparm nolightmap
		surfaceparm trans
		surfaceparm	nonsolid
		q3map_surfacelight 80
		q3map_globaltexture
		{ 
			map textures/liquids/proto_grueldark2.tga
			blendfunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale 1 1
			tcmod scroll 3 -3
			
		}
}


textures/q3f_chrofort/bluecapture
{
	qer_editorimage textures/ctf/blue_telep.tga
	surfaceparm nomarks
	{
		clampmap textures/ctf/blue_telep.tga
		blendFunc add
		tcmod rotate 327
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/base_floor/pool_floor2
{
	qer_editorimage textures/base_wall/concrete.tga
	{
		map textures/base_wall/concrete.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/q3f_chrofort/redcapture
{
	qer_editorimage textures/ctf/red_telep.tga
	surfaceparm nomarks
	{
		clampmap textures/ctf/red_telep.tga
		blendFunc add
		tcmod rotate 327
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/q3f_chrofort/bluedoor
{
	qer_editorimage textures/q3f_forts/bluemetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/q3f_forts/bluemetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/q3f_forts/bluesign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}

textures/q3f_chrofort/reddoor
{
	qer_editorimage textures/q3f_forts/redmetaldoor_outside.tga
	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/q3f_forts/redmetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/q3f_forts/redsign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}

textures/q3f_chrofort/glass
{
	surfaceparm nolightmap      
	surfaceparm trans
	qer_trans .25
	cull none
      q3map_surfacelight 80        
	{
		map textures/q3f_2night3/wilsfx.tga
           tcgen environment
	     blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        
	//{
	//	map $lightmap
	//	rgbgen identity
	//	blendfunc GL_dst_color GL_one
	//}   
}

textures/q3f_forts/blueflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/q3f_forts/blueflag.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/q3f_forts/blueflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/q3f_forts/redflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/q3f_forts/redflag.tga
		rgbGen identity
	}
        {
		map textures/effects/blueflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/q3f_forts/redflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/q3f_chrofort/cflagblue
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
	  qer_editorimage textures/q3f_chrofort/chroblue.tga
        
        {
		map textures/q3f_chrofort/chroblue.tga
		rgbGen identity
	}
     //   {
	//	map textures/effects/redflagmap.tga
        //        tcGen environment
          //      tcmod scale 9 3
            //    tcmod scroll .1 .7
                
              //  blendFunc GL_ONE GL_ONE
                //rgbGen identity
	//}
        {
		map textures/q3f_chrofort/chroblue.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/q3f_chrofort/cflagred
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/q3f_chrofort/chrored.tga
        {
		map textures/q3f_chrofort/chrored.tga
		rgbGen identity
	}
        {
		map textures/q3f_chrofort/chrored.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}


textures/q3f_chrofort/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 80

	qer_editorimage textures/skies/dimclouds.tga

	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/q3f_2night3/wilsclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}


textures/q3f_chrofort/waterfall
	{
		
		qer_trans .1
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nolightmap	
		surfaceparm nonsolid
		surfaceparm sky
		q3map_surfacelight 200
		cull disable
		
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll 0 -1.5
		}
				
	}


textures/q3f_chrofort/redfog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 75 0 0 ) 50
	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .1 -.1
		rgbgen identity
	}
}

textures/q3f_chrofort/mist
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( .75 .75 .75 ) 128
	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .1 -.1
		rgbgen identity
	}
}

textures/q3f_chrofort/fence
                {
                   surfaceparm trans
                   cull none
                   nopicmip

                   {
                      map textures/base_trim/proto_fence.tga
                      tcMod scale 6 6
                      blendFunc GL_ONE GL_ZERO
                      alphaFunc GE128
                      depthWrite
                      rgbGen identity
                   }
                   {
                      map $lightmap
                      rgbGen identity
                      blendFunc GL_DST_COLOR GL_ZERO
                      depthFunc equal
                }
                }

textures/q3f_chrofort/grate
                {
                   surfaceparm trans
                   cull none
                   nopicmip
			qer_editorimage textures/base_floor/pjgrate1.tga
                   {
                      map textures/base_floor/pjgrate1.tga
                      tcMod scale 1.5 1.5
                      blendFunc GL_ONE GL_ZERO
                      alphaFunc GE128
                      depthWrite
                      rgbGen identity
                   }
                   {
                      map $lightmap
                      rgbGen identity
                      blendFunc GL_DST_COLOR GL_ZERO
                      depthFunc equal
                }
           }


textures/q3f_chrofort/shinymetal
{

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/gothic_block/blocks15_blue
{
	{
		map textures/q3f_2night3/wilsfx.tga     
		tcGen environment
		rgbGen identity
	}  
	{
		map textures/gothic_block/blocks15_blue.tga
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/gothic_block/blocks11c
{
	{
		map textures/q3f_2night3/wilsfx.tga
		tcGen environment
		rgbGen identity
	}  
	{
		map textures/gothic_block/blocks11c.tga
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 



